from hobo.agent.common.management.commands import hobo_deploy

class Command(hobo_deploy.Command):
    help = 'Deploy multitenant combo service from hobo'

    def get_theme(self, hobo_environment):
        try:
            me = [x for x in hobo_environment.get('services') if x.get('this')][0]
        except IndexError:
            return
        if me.get('template_name') == 'portal-agent':
            return {'module': 'gadjo'}
        return super(Command, self).get_theme(hobo_environment)
